package org.dromara.system.service;

import org.dromara.system.domain.TblCarPath;
import org.dromara.system.domain.vo.TblCarPathVo;
import org.dromara.system.domain.bo.TblCarPathBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 车辆路线Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblCarPathService {

    /**
     * 查询车辆路线
     */
    TblCarPathVo queryById(Long id);

    /**
     * 查询车辆路线列表
     */
    TableDataInfo<TblCarPathVo> queryPageList(TblCarPathBo bo, PageQuery pageQuery);

    /**
     * 查询车辆路线列表
     */
    List<TblCarPathVo> queryList(TblCarPathBo bo);

    /**
     * 新增车辆路线
     */
    Boolean insertByBo(TblCarPathBo bo);

    /**
     * 修改车辆路线
     */
    Boolean updateByBo(TblCarPathBo bo);

    /**
     * 校验并批量删除车辆路线信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
